Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 474969 - beagle uses all available inotify watches, which causes PolicyKit applications to stop working
Summary: beagle uses all available inotify watches, which causes PolicyKit application...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: beagle
Version: 11
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adel Gadllah
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-12-06 05:33 UTC by Braden McDaniel
Modified: 2010-06-28 10:54 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 10:54:27 UTC


Attachments (Terms of Use)

Description Braden McDaniel 2008-12-06 05:33:17 UTC
Description of problem:
gpk-update-viewer crashes on launch for me.  Console output below.

Version-Release number of selected component (if applicable):
0.3.9-8.fc10

How reproducible:
Consistently.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
$ gpk-update-viewer 
[WARN 14763] polkit-error.c:143:polkit_error_get_error_message(): error != NULL
 Not built with -rdynamic so unable to print a backtrace

** (gpk-update-viewer:14763): WARNING **: Failed to initialize PolicyKit context: (null)
[WARN 14763] polkit-error.c:156:polkit_error_free(): error != NULL
 Not built with -rdynamic so unable to print a backtrace

(gpk-update-viewer:14763): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gpk-update-viewer:14763): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(gpk-update-viewer:14763): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(gpk-update-viewer:14763): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed
*** glibc detected *** gpk-update-viewer: munmap_chunk(): invalid pointer: 0x0000003e9e041000 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3896e77e98]
/usr/lib64/gtk-2.0/modules/libgnomebreakpad.so[0x847581]
/usr/lib64/gtk-2.0/modules/libgnomebreakpad.so[0x847769]
/lib64/libpthread.so.0[0x3897a0f0f0]
/usr/lib64/libpolkit-gnome.so.0[0x3ea96045a0]
/usr/lib64/libpolkit-gnome.so.0[0x3ea9606078]
/lib64/libgobject-2.0.so.0[0x3e9e810be8]
/usr/lib64/libpolkit-gnome.so.0[0x3ea96060e9]
/lib64/libgobject-2.0.so.0(g_object_newv+0x25d)[0x3e9e81118d]
/lib64/libgobject-2.0.so.0(g_object_new_valist+0x21b)[0x3e9e811bbb]
/lib64/libgobject-2.0.so.0(g_object_new+0xcc)[0x3e9e811e0c]
/usr/lib64/libpolkit-gnome.so.0(polkit_gnome_action_new_default+0x297)[0x3ea9604b27]
gpk-update-viewer[0x40a929]
/lib64/libc.so.6(__libc_start_main+0xe6)[0x3896e1e546]
gpk-update-viewer[0x409339]
======= Memory map: ========
00110000-0011c000 r-xp 00000000 fd:00 3398019                            /lib64/libnss_files-2.9.so
0011c000-0031b000 ---p 0000c000 fd:00 3398019                            /lib64/libnss_files-2.9.so
0031b000-0031c000 r--p 0000b000 fd:00 3398019                            /lib64/libnss_files-2.9.so
0031c000-0031d000 rw-p 0000c000 fd:00 3398019                            /lib64/libnss_files-2.9.so
00400000-0042d000 r-xp 00000000 fd:00 1297764                            /usr/bin/gpk-update-viewer
0062c000-00633000 rw-p 0002c000 fd:00 1297764                            /usr/bin/gpk-update-viewer
00633000-00646000 r-xp 00000000 fd:00 1731689                            /usr/lib64/gtk-2.0/2.10.0/engines/libnodoka.so
00646000-00845000 ---p 00013000 fd:00 1731689                            /usr/lib64/gtk-2.0/2.10.0/engines/libnodoka.so
00845000-00846000 rw-p 00012000 fd:00 1731689                            /usr/lib64/gtk-2.0/2.10.0/engines/libnodoka.so
00846000-00848000 r-xp 00000000 fd:00 1737791                            /usr/lib64/gtk-2.0/modules/libgnomebreakpad.so
00848000-00a47000 ---p 00002000 fd:00 1737791                            /usr/lib64/gtk-2.0/modules/libgnomebreakpad.so
00a47000-00a48000 rw-p 00001000 fd:00 1737791                            /usr/lib64/gtk-2.0/modules/libgnomebreakpad.so
00a48000-00b36000 r-xp 00000000 fd:00 1306379                            /usr/lib64/libstdc++.so.6.0.10
00b36000-00d36000 ---p 000ee000 fd:00 1306379                            /usr/lib64/libstdc++.so.6.0.10
00d36000-00d3d000 r--p 000ee000 fd:00 1306379                            /usr/lib64/libstdc++.so.6.0.10
00d3d000-00d3f000 rw-p 000f5000 fd:00 1306379                            /usr/lib64/libstdc++.so.6.0.10
00d3f000-00d52000 rw-p 00d3f000 00:00 0 
00d52000-00d56000 r-xp 00000000 fd:00 1737344                            /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so
00d56000-00f56000 ---p 00004000 fd:00 1737344                            /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so
00f56000-00f57000 rw-p 00004000 fd:00 1737344                            /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so
00f57000-00f76000 r-xp 00000000 fd:00 3006182                            /usr/lib64/libvorbis.so.0.4.0
00f76000-01175000 ---p 0001f000 fd:00 3006182                            /usr/lib64/libvorbis.so.0.4.0
01175000-01184000 rw-p 0001e000 fd:00 3006182                            /usr/lib64/libvorbis.so.0.4.0
01484000-0152b000 rw-p 01484000 00:00 0                                  [heap]
31bfe00000-31bfe1a000 r-xp 00000000 fd:00 1283100                        /usr/lib64/libxcb.so.1.0.0
31bfe1a000-31c001a000 ---p 0001a000 fd:00 1283100                        /usr/lib64/libxcb.so.1.0.0
31c001a000-31c001b000 rw-p 0001a000 fd:00 1283100                        /usr/lib64/libxcb.so.1.0.0
31c0200000-31c0305000 r-xp 00000000 fd:00 1283248                        /usr/lib64/libX11.so.6.2.0
31c0305000-31c0505000 ---p 00105000 fd:00 1283248                        /usr/lib64/libX11.so.6.2.0
31c0505000-31c050b000 rw-p 00105000 fd:00 1283248                        /usr/lib64/libX11.so.6.2.0
31c0600000-31c0605000 r-xp 00000000 fd:00 1283096                        /usr/lib64/libXdmcp.so.6.0.0
31c0605000-31c0804000 ---p 00005000 fd:00 1283096                        /usr/lib64/libXdmcp.so.6.0.0
31c0804000-31c0805000 rw-p 00004000 fd:00 1283096                        /usr/lib64/libXdmcp.so.6.0.0
31c0a00000-31c0a01000 r-xp 00000000 fd:00 1283112                        /usr/lib64/libxcb-xlib.so.0.0.0
31c0a01000-31c0c00000 ---p 00001000 fd:00 1283112                        /usr/lib64/libxcb-xlib.so.0.0.0
31c0c00000-31c0c01000 rw-p 00000000 fd:00 1283112                        /usr/lib64/libxcb-xlib.so.0.0.0
31c0e00000-31c0e02000 r-xp 00000000 fd:00 1279161                        /usr/lib64/libXau.so.6.0.0
31c0e02000-31c1001000 ---p 00002000 fd:00 1279161                        /usr/lib64/libXau.so.6.0.0
31c1001000-31c1002000 rw-p 00001000 fd:00 1279161                        /usr/lib64/libXau.so.6.0.0
31c1200000-31c1210000 r-xp 00000000 fd:00 1290568                        /usr/lib64/libXext.so.6.4.0
31c1210000-31c1410000 ---p 00010000 fd:00 1290568                        /usr/lib64/libXext.so.6.4.0
31c1410000-31c1411000 rw-p 00010000 fd:00 1290568                        /usr/lib64/libXext.so.6.4.0
31c1600000-31c1608000 r-xp 00000000 fd:00 1294513                        /usr/lib64/libXi.so.6.0.0
31c1608000-31c1808000 ---p 00008000 fd:00 1294513                        /usr/lib64/libXi.so.6.0.0
31c1808000-31c1809000 rw-p 00008000 fd:00 1294513                        /usr/lib64/libXi.so.6.0.0
31c1a00000-31c1a09000 r-xp 00000000 fd:00 1290958                        /usr/lib64/libXrender.so.1.3.0
31c1a09000-31c1c08000 ---p 00009000 fd:00 1290958                        /usr/lib64/libXrender.so.1.3.0
31c1c08000-31c1c09000 rw-p 00008000 fd:00 1290958                        /usr/lib64/libXrender.so.1.3.0
31c1e00000-31c1e09000 r-xp 00000000 fd:00 1296069                        /usr/lib64/libXcursor.so.1.0.2
31c1e09000-31c2009000 ---p 00009000 fd:00 1296069                        /usr/lib64/libXcursor.so.1.0.2
31c2009000-31c200a000 rw-p 00009000 fd:00 1296069                        /usr/lib64/libXcursor.so.1.0.2
31c2200000-31c2202000 r-xp 00000000 fd:00 1293241                        /usr/lib64/libXinerama.so.1.0.0
31c2202000-31c2401000 ---p 00002000 fd:00 1293241                        /usr/lib64/libXinerama.so.1.0.0
31c2401000-31c2402000 rw-p 00001000 fd:00 1293241                        /usr/lib64/libXinerama.so.1.0.0
31c2600000-31c2606000 r-xp 00000000 fd:00 1294554                        /usr/lib64/libXrandr.so.2.1.0
31c2606000-31c2806000 ---p 00006000 fd:00 1294554                        /usr/lib64/libXrandr.so.2.1.0
31c2806000-31c2807000 rw-p 00006000 fd:00 1294554                        /usr/lib64/libXrandr.so.2.1.0
31c2a00000-31c2a05000 r-xp 00000000 fd:00 1295715                        /usr/lib64/libXfixes.so.3.1.0
31c2a05000-31c2c04000 ---p 00005000 fd:00 1295715                        /usr/lib64/libXfixes.so.3.1.0
31c2c04000-31c2c05000 rw-p 00004000 fd:00 1295715                        /usr/lib64/libXfixes.so.3.1.0
31c3200000-31c3202000 r-xp 00000000 fd:00 1296175                        /usr/lib64/libXdamage.so.1.1.0
31c3202000-31c3401000 ---p 00002000 fd:00 1296175                        /usr/lib64/libXdamage.so.1.1.0
31c3401000-31c3402000 rw-p 00001000 fd:00 1296175                        /usr/lib64/libXdamage.so.1.1.0
31c3a00000-31c3a71000 r-xp 00000000 fd:00 1290959                        /usr/lib64/libcairo.so.2.10800.0
31c3a71000-31c3c71000 ---p 00071000 fd:00 1290959                        /usr/lib64/libcairo.so.2.10800.0
31c3c71000-31c3c74000 rw-p 00071000 fd:00 1290959                        /usr/lib64/libcairo.so.2.10800.0
31c4400000-31c4402000 r-xp 00000000 fd:00 1296166                        /usr/lib64/libXcomposite.so.1.0.0
31c4402000-31c4601000 ---p 00002000 fd:00 1296166                        /usr/lib64/libXcomposite.so.1.0.0
31c4601000-31c4602000 rw-p 00001000 fd:00 1296166             Multiple segmentation faults occurred; can't display error dialog

Comment 1 Richard Hughes 2008-12-06 09:20:10 UTC
Are you running tracker or beagle? Does the crash happen if you disable these applications?

Comment 2 Braden McDaniel 2008-12-06 09:29:25 UTC
Not running tracker.

After killing beagled, gpk-update-viewer starts successfully without crashing.

Comment 3 Adam 2008-12-10 23:08:30 UTC
Same here, killing beagle process the update checker then ran okay.

Here's the head of the bug trace:

System: Linux 2.6.27.5-117.fc10.i686 #1 SMP Tue Nov 18 12:19:59 EST 2008 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10503000
Selinux: No
Accessibility: Disabled
GTK+ Theme: Nodoka
Icon Theme: Fedora

Memory status: size: 0 vsize: 0 resident: 0 share: 0 rss: 0 rss_rlim: 0
CPU usage: start_time: 0 rtime: 0 utime: 0 stime: 0 cutime:0 cstime: 0 timeout: 0 it_real_value: 0 frequency: 0



----------- .xsession-errors ---------------------
[WARN  5155] polkit-error.c:143:polkit_error_get_error_message(): error != NULL
 Not built with -rdynamic so unable to print a backtrace
** (gpk-update-viewer:5155): WARNING **: Failed to initialize PolicyKit context: (null)
[WARN  5155] polkit-error.c:156:polkit_error_free(): error != NULL
 Not built with -rdynamic so unable to print a backtrace
(gpk-update-viewer:5155): GLib-GObject-WARNING **: invalid (NULL) pointer instance
(gpk-update-viewer:5155): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed
(gpk-update-viewer:5155): GLib-GObject-WARNING **: invalid (NULL) pointer instance
(gpk-update-viewer:5155): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed
No such process
--------------------------------------------------

Comment 4 Breg 2009-08-14 13:24:47 UTC
Killing beagled also works for me.
Fedora 11 i386.

Comment 5 Bug Zapper 2009-11-18 09:07:59 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Braden McDaniel 2009-11-18 09:44:25 UTC
Update version to 11 per comment #4.

Comment 7 Bug Zapper 2010-04-27 12:28:29 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2010-06-28 10:54:27 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.